# Uses of Class
org.opensaml.saml.saml2.binding.artifact.SAML2ArtifactType0004

Packages that use SAML2ArtifactType0004
Package
Description
org.opensaml.saml.saml2.binding.artifact
Classes that may be used to create and manipulate SAML 2 artifacts.

## Uses of SAML2ArtifactType0004 in org.opensaml.saml.saml2.binding.artifact

Methods in org.opensaml.saml.saml2.binding.artifact that return SAML2ArtifactType0004
Modifier and Type
Method
Description
`SAML2ArtifactType0004`
SAML2ArtifactType0004Builder.`buildArtifact(byte[] artifact)`
Builds a populated artifact given the artifact's byte-array representation.
`SAML2ArtifactType0004`
SAML2ArtifactType0004Builder.`buildArtifact(MessageContext requestContext)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`static SAML2ArtifactType0004`
SAML2ArtifactType0004.`parseArtifact(byte[] artifact)`
Constructs a SAML 2 artifact from its byte array representation.